### Method

# Vte Terminal pty_new_sync

#### Declaration [src]

    VtePty*
    vte_terminal_pty_new_sync (
      VteTerminal* terminal,
      VtePtyFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new `VtePty`, sets the emulation property from `VteTerminal:emulation`, and sets the size using `terminal`‘s size.

See `vte_pty_new()` for more information.

#### Parameters

`flags`

  Type: `VtePtyFlags`

  Flags from `VtePtyFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `VtePty`

A new `VtePty`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.